curl --request PATCH \
--url https://api.hubapi.com/events/2026-09/event-definitions/{eventName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"propertyOrder": [
{
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
]
}
],
"description": "<string>",
"detailTemplate": "<string>",
"headerTemplate": "<string>",
"label": "<string>"
}
'import requests
url = "https://api.hubapi.com/events/2026-09/event-definitions/{eventName}"
payload = {
"propertyOrder": [
{
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"hidden": True,
"label": "<string>",
"options": [
{
"displayOrder": 123,
"hidden": True,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
]
}
],
"description": "<string>",
"detailTemplate": "<string>",
"headerTemplate": "<string>",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
propertyOrder: [
{
name: '<string>',
description: '<string>',
displayOrder: 123,
hidden: true,
label: '<string>',
options: [
{
displayOrder: 123,
hidden: true,
label: '<string>',
value: '<string>',
description: '<string>'
}
]
}
],
description: '<string>',
detailTemplate: '<string>',
headerTemplate: '<string>',
label: '<string>'
})
};
fetch('https://api.hubapi.com/events/2026-09/event-definitions/{eventName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archived": true,
"associations": [
{
"allowsCustomLabels": true,
"cardinality": "ONE_TO_MANY",
"category": "HUBSPOT_DEFINED",
"fromObjectTypeId": "<string>",
"hasAllAssociatedObjects": true,
"hasCascadingDeletes": true,
"hasUserEnforcedMaxFromObjectIds": true,
"hasUserEnforcedMaxToObjectIds": true,
"hidden": true,
"id": 123,
"inverseAllowsCustomLabels": true,
"inverseCardinality": "ONE_TO_MANY",
"inverseHasAllAssociatedObjects": true,
"inverseId": 123,
"inverseName": "<string>",
"isDefault": true,
"isInversePrimary": true,
"isPrimary": true,
"maxFromObjectIds": 123,
"maxToObjectIds": 123,
"name": "<string>",
"portalUniqueIdentifier": "<string>",
"readOnly": true,
"toObjectTypeId": "<string>",
"fromObjectType": "ABANDONED_CART",
"hiddenReason": "DEFAULT",
"inverseLabel": "<string>",
"label": "<string>",
"toObjectType": "ABANDONED_CART"
}
],
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"singular": "<string>",
"plural": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"properties": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"textDisplayHint": "domain_name",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"comboEventRules": {
"composingRules": [
{
"count": 123,
"eventTypeId": "<string>",
"propertyFilters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "<string>",
"operator": "HAS_EVER_BEEN_EQUAL_TO",
"operatorName": "<string>",
"propertyType": "bool",
"value": true,
"defaultValue": "<string>",
"renderSpec": "<string>"
},
"property": "<string>",
"context": {
"objectTypeId": "<string>"
},
"filterInsightsId": 123,
"frameworkFilterId": 123
}
],
"lookbackWindowDays": 123
}
],
"operationType": "AND",
"ruleBranches": "<array>"
},
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": 123,
"customMatchingId": {
"primaryObjectRule": {
"eventPropertyName": "<string>",
"targetObjectPropertyName": "<string>"
}
},
"description": "<string>",
"detailTemplate": "<string>",
"headerTemplate": "<string>",
"primaryObject": "<string>",
"primaryObjectId": "<string>",
"trackingType": "APP_EVENT",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update an event definition
Aktualisieren Sie die Definition eines bestimmten verhaltensorientierten Events in Ihrem HubSpot-Account. Dieser Vorgang ermöglicht es Ihnen, die mit dem Event verknüpften Eigenschaften und Vorlagen zu ändern. Der Pfadparameter „eventName“ identifiziert das zu aktualisierende Event.
Supported products
Supported products
Required Scopes
Required Scopes
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Pfadparameter
Der eindeutige Name der zu aktualisierenden Event-Definition.
Body
Legt die Reihenfolge und Sichtbarkeit der Event-Eigenschaften fest, wenn diese auf der CRM-Chronikaktivität-Karte angezeigt werden.
Show child attributes
Show child attributes
Eine Beschreibung des Events, das in HubSpot als Hilfetext angezeigt wird.
Die Rendering-Vorlage für den Hauptteil der CRM-Chronikaktivität-Karte.
Die Rendering-Vorlage für den Header der CRM-Chronikaktivität-Karte.
Für Menschen lesbares Label für das Event. Wird in HubSpot UI verwendet.
Antwort
successful operation
Ein boolescher Wert, der angibt, ob der Eventtyp archiviert ist.
Ein Array von Zuordnungsdefinitionen, die sich auf den Event-Typ beziehen.
Show child attributes
Show child attributes
Eine Zeichenfolge, die den vollständig qualifizierten Namen des Event-Typs darstellt.
Eine Zeichenfolge, die die eindeutige ID des Event-Typs darstellt.
Show child attributes
Show child attributes
Eine Zeichenfolge, die den Namen des Event-Typs darstellt.
Eine Zeichenfolge, die die Objekttyp-ID darstellt, die dem Event-Typ zugeordnet ist.
Ein Array von Eigenschaftsobjekten, die dem Event-Typ zugeordnet sind.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Eine Zeichenfolge, die Datum und Uhrzeit der Erstellung des Event-Typs im ISO 8601-Format darstellt.
Eine Ganzzahl, die die ID des Benutzers darstellt, der den Event-Typ erstellt hat.
Show child attributes
Show child attributes
Eine Zeichenfolge, die eine Beschreibung des Event-Typs enthält.
Die Rendering-Vorlage für den Hauptteil der CRM-Chronikaktivität-Karte.
Die Rendering-Vorlage für den Header der CRM-Chronikaktivität-Karte.
Eine Zeichenfolge, die das primäre Objekt darstellt, das dem Event-Typ zugeordnet ist.
Eine Zeichenfolge, die die ID des primären Objekts darstellt, das dem Event-Typ zugeordnet ist.
Eine Zeichenfolge, die den Tracking-Typ des Events angibt. Gültige Werte sind „VISITED_URL“, „CLICKED_ELEMENT“, „CUSTOM_SCRIPT“, „MANUAL“, „IMPORT“, „PROPERTY_CHANGE“, „COMBO_EVENT“.
APP_EVENT, AUTOCAPTURE_EVENT, CLICKED_ELEMENT, COMBO_EVENT, CUSTOM_SCRIPT, CUSTOM_SIGNAL, IMPORT, MANUAL, POLLING, PROPERTY_CHANGE, VISITED_URL, WEBHOOK Eine Zeichenfolge, die Datum und Uhrzeit der letzten Aktualisierung des Events im ISO 8601-Format darstellt.
Eine Ganzzahl, die die ID des Benutzers darstellt, der den Event-Typ zuletzt aktualisiert hat.